;;; -------------------------------------------------------------
;;; 2001 Agustn Martn Domingo <agmartin@debian.org>
;;; -------------------------------------------------------------
;;; Adding catalan dictionary to emacs+ispell
;;; Heavily inspired in Julio Snchez file for ispanish  
;;; and the Cyrillic HOWTO 
;;; -------------------------------------------------------------
;;; Any emacs-lisp guru overthere to fine-tune this script?
;;; -------------------------------------------------------------

(ispell-change-dictionary nil) ; This is to force ispell autoload before doing anything else

(setq catalan-entries
      '(
	("catala-tex"                           ; catalan mode (TeX)
	 "[A-ZIa-z]"
	 "[^A-ZIa-z]"
	 "[---'.]" nil ("-B" "-d" "catala") "~tex" iso-8859-1)
	("catala8"                          ; 8 bit catalan mode 
	 "[A-ZIa-z]"
	 "[^A-ZIa-z]"
	 "[---'.]" nil ("-B" "-d" "catala") "~list" iso-8859-1)
      )
)

(setq ispell-dictionary-alist
	(append
	 ispell-dictionary-alist
	 catalan-entries)
	)

;;;
;;; Me tuve que ir al Cyrillic HOWTO para encontrar como hacer sto
;;; 
;;; We need this only for emacs <=19

(if (< emacs-major-version 20)
    (define-key-after ispell-menu-map [ispell-select-catala8]
      '("Select Catala8" . (lambda ()
				 (interactive)
				 (ispell-change-dictionary "catala8")
				 )
	)
      'british))
(if (< emacs-major-version 20)
    (define-key-after ispell-menu-map [ispell-select-catala]
      '("Select Catala" . (lambda ()
				(interactive)
				(ispell-change-dictionary "catala")
				)
	)
      'british))

;;; This updates ispell menu in emacs19. Do not work in emacs20 or xemacs21

(ispell-change-dictionary nil)
